{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2003-2023      Martin Wodrich, http://www.martinwodrich.de  }
{                               software@martinwodrich.de         }
{                                                                 }
{ Dieser Quelltext ist Freeware.                                  }
{                                                                 }
{ Die allgemeinen Nutzungsbedingungen fuer diesen Quelltext       }
{ finden Sie in der Datei TOUCH.TXT oder auf                      }
{ http://www.martinwodrich.de/Software/Touch/nutzung.htm          }
{ --------------------------------------------------------------- }
{ $Id: touch.inc,v 1.28 2012-07-22 10:24:50 martin Exp $ }

{ Erstmal einiges definieren }

{ Nur GPL-Module benutzen? }
{.DEFINE GPLONLY}

{ Cryptolib fr Win64 nicht benutzen? - Cryptolib ist nur als PurePascal Win64 fhig }
{$IFDEF Win64}
   {.$DEFINE NOCRYPT}
   {$DEFINE PurePascal}
{$ENDIF}
{$IFDEF WINCE}
	{$DEFINE PurePascal}
{$ENDIF}
{.$IFDEF CPU16}
{.$DEFINE NOCRYPT}
{.$ENDIF}

{ FreeXP-Setting}
{$DEFINE freexp}

{ Borland Pascal 7.0 oder 8.0 }
{$IFDEF VER70 }
  {$DEFINE BP}
  {$IFNDEF WINDOWS}
    {$IFNDEF DPMI}
      {$IFNDEF OS2}
        {$DEFINE BPLFN}
      {$ENDIF}
    {$ENDIF}
   {$ELSE}
      {$DEFINE Win16} 
   {$ENDIF}
{$ELSE}
  {$IFDEF VER80 }
    {$DEFINE BP}
    {$IFNDEF WINDOWS}
     {$IFNDEF DPMI}
       {$IFNDEF OS2}
         {$DEFINE BPLFN}
       {$ENDIF}
     {$ENDIF}
    {$ELSE}
      {$DEFINE Win16} 
    {$ENDIF}
  {$ELSE}
  { FreePascal }
  {$IFDEF Linux}
  {$IFDEF VER1_0}
    {$DEFINE unix1}
  {$ENDIF}
  {$ENDIF}
    {$IFDEF DPMI}
      {$UNDEF DPMI}
      {$DEFINE DOS32}
    {$ENDIF}
  {$ENDIF }
{$ENDIF }

{ Andere Compiler brauchen momentan keine Extras }
{
  14.09.2013 20:15:00 martin
  - BP kann aufgrund neuere Cryptolib wieder 
    unterstuezt werden.

  $Log: not supported by cvs2svn $
  Revision 1.27  2012-07-15 11:34:47  martin
  - BP wird ab sofort nicht mehr unterstuetzt

  Revision 1.26  2010/06/26 09:06:42  martin
  - Korrektur

  Revision 1.25  2010/06/26 06:52:21  martin
  - Verfeinerung der LInux-Untersttzung

  Revision 1.24  2010/06/20 20:17:33  martin
  - Korrektes Define

  Revision 1.23  2010/06/20 15:36:53  martin
  - Typo

  Revision 1.22  2010/06/20 15:16:06  martin
  - Austausch gegen PurePascal-Cryptolib

  Revision 1.21  2010/06/13 12:28:43  martin
  - Anpassung an neueres Freepascal

  Revision 1.20  2007/07/23 18:31:42  mw
  MW: - Weiterarbeit in 2007

  Revision 1.19  2006/09/17 09:18:46  mw
  MW: - CVS-Logs geleert.

}