{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2004-2023      Martin Wodrich, http://www.martinwodrich.de  }
{                               software@martinwodrich.de         }
{                                                                 }
{ Dieser Quelltext ist Freeware.                                  }
{                                                                 }
{ Die allgemeinen Nutzungsbedingungen fuer diesen Quelltext       }
{ finden Sie in der Datei TOUCH.TXT oder auf                      }
{ http://www.martinwodrich.de/Software/Touch/nutzung.htm          }
{ --------------------------------------------------------------- }
{ $Id: touch0.pas,v 1.43 2012-07-22 10:37:39 martin Exp $ }
{ Globale Konstanten }
unit touch0;

interface

{$I TOUCH.INC }

const anyfile=$21;
      beta='.0';
      version='1.7'+beta;
      touchname='Touch '+version;
      copyright=' (c) 2003-2020 by Martin Wodrich';

      { Betriebsystemstrings }
      {$IFDEF MSDOS}
        {$IFDEF BPLFN}
           pform = ' (DOS16,LFN)';
        {$ELSE}
           pform = ' (DOS16,NON LFN)';
        {$ENDIF}
      {$ENDIF}
      {$IFDEF DPMI}
      pform = ' (DPMI16)';
      {$ENDIF}
      {$IFDEF Win16}
      pform = ' (WIN16)';
      {$ENDIF}
      {$IFDEF Dos32}
      pform = ' (DOS32)';
      {$ENDIF}
      {$IFDEF Win32}
      pform = ' (WIN32)';
      {$ENDIF}
      {$IFDEF Win64}
      pform = ' (WIN64)';
      {$ENDIF}
      {$IFDEF WINCE}
      pform = ' (WINCE)';
      {$ENDIF}
      {$IFDEF Linux}
      {$IFDEF CPU64}
      pform = ' (Linux,x86_64)';
      {$ELSE}
      pform = ' (Linux,i386)';
      {$ENDIF}
      {$ENDIF}  
      {$IFDEF OS2}
        {$IFDEF BP}
        pform = ' (OS2,16 Bit)';
        {$ELSE}
        pform = ' (OS2,EMX)';
        {$ENDIF}
      {$ENDIF}   

      { Betriebsystemabhngiges }
      {$IFNDEF unix}
      OSDirSeparator = '\';
      Paramark = '/';
      CR='';    
      {$ELSE}
      OSDirSeparator = '/';
      Paramark = '-';
      CR=#13;       
      {$ENDIF}

implementation

end.
{
  $Log: not supported by cvs2svn $
  14.09.2013 20:15:00 martin
  - Touch 1.6.0
  
  Revision 1.42  2012-07-22 10:24:50  martin
  - Touch 1.4.2

  Revision 1.41  2012-07-15 13:12:57  martin
  - Anpassungen an WinCE

  Revision 1.40  2010/06/26 11:30:02  martin
  - Korrekte Kennung des Linux,x86_64-Binaeries

  Revision 1.39  2010/06/26 06:52:21  martin
  - Verfeinerung der LInux-Untersttzung

  Revision 1.38  2010/06/22 17:19:10  martin
  - Nicht compilierbare Platformen entfernt

  Revision 1.37  2010/06/13 12:32:51  martin
  - Doku

  Revision 1.36  2010/06/13 12:28:43  martin
  - Anpassung an neueres Freepascal

  Revision 1.35  2007/07/28 19:17:57  mw
  MW: - SHA1-Summen erstellen
      - Archiv ebenfalls mit Pruefsummen erstellen

  Revision 1.34  2007-07-23 18:31:42  mw
  MW: - Weiterarbeit in 2007

  Revision 1.33  2006/10/12 16:21:44  mw
  MW: - Erweiterung des Makrospeichers auf 255 Zeichen pro Element
        (statt bisher 79) unter allen Compilern auer Borland Pascal.

  Revision 1.32  2006/09/17 09:18:46  mw
  MW: - CVS-Logs geleert.

}
