    {$APPTYPE        CONSOLE}
     
    {$LONGSTRINGS    OFF}
    {$WRITEABLECONST ON}
    {$DESCRIPTION    'Win32 API function - NtDll RtlGetVersionNumbers example'}
     
    program _RtlGetVersionNumbers;
     
    const
      BUILD_FREE_VAL = word($F000);
     
      BUILD_FREE_STR = 'Free build';
      BUILD_CHKD_STR = 'Checked build';
     
      BuildString    : pchar = BUILD_FREE_STR;
     
    var
      MajorVersion   : DWORD;
      MinorVersion   : DWORD;
      BuildNumberRec : packed record
                         BuildNumber : word;
                         Build       : word;
                       end;
      Build          : DWORD absolute BuildNumberRec;
     
    { this function is undocumented but always found in ntdll                     }
     
    procedure RtlGetNtVersionNumbers(var MajorVersion : DWORD;
                                     var MinorVersion : DWORD;
                                     var Build        : DWORD);
              stdcall; external 'ntdll.dll';
     
    begin
      RtlGetNtVersionNumbers(MajorVersion, MinorVersion, Build);
     
      writeln;
      writeln('Major version : ', MajorVersion);
      writeln('Minor version : ', MinorVersion);
      writeln('Build  number : ', BuildNumberRec.BuildNumber);
     
      if BuildNumberRec.Build <> BUILD_FREE_VAL then BuildString := BUILD_CHKD_STR;
      writeln('Free/Checked  : ', BuildString);
     
      writeln;
      writeln('Press ENTER/RETURN to end this program');
      readln;
    end.